Cyberduck Mountain Duck CLI

#10260 closed defect (fixed)

Applied permissions cannot be read when using MLSD

Reported by: Prodrive Owned by: dkocher
Priority: normal Milestone: 6.6.0
Component: ftp Version: 6.4.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: macOS 10.13

Description

I encountered the problem already in the past, but now with Cyberduck 6.4. on a Mac with OS X 10.13 it seems to be persistent. It is not possible to set the rights for files. (see enclosed video). It's working with other providers like United Domains.

It is also working with FileZilla and other FTP programs and Strato. There must be something special with the combination of Cyberduck and Strato.

Attachments (1)

2018-03-05 17.15.16.mov (3.8 MB) - added by Prodrive on Mar 5, 2018 at 4:36:32 PM.
Video demonstration of the problem with Cyberduck and Strato

Change History (6)

Changed on Mar 5, 2018 at 4:36:32 PM by Prodrive

Video demonstration of the problem with Cyberduck and Strato

comment:1 follow-up: Changed on Mar 5, 2018 at 4:49:14 PM by dkocher

Please post the transcript from the log drawer (⌘-L).

comment:2 in reply to: ↑ 1 Changed on Mar 5, 2018 at 5:02:24 PM by Prodrive

Replying to dkocher:

Please post the transcript from the log drawer (⌘-L).

Please see enclosed. BTW: I am not the only one experiencing problems like these.

220 Speak friend, and enter
USER ecco-duesseldorf.de
331 FTP login okay, send password.
PASS ***************
230 User logged in, proceed.
FEAT
211-Extensions supported:
 HOST
 MDTM
 REST STREAM
 SIZE
 MLST Type*;Size*;Modify*;Create;Unique*;Perm*;UNIX.mode;UNIX.owner;UNIX.group;
 LANG EN*;DE;FR;NL;ES;IT;
211 End.
SYST
215 UNIX Type: L8
PWD
257 "/" is current directory.
CWD /
250 Directory changed to /
TYPE A
200 Using ASCII mode to transfer data.
PASV
227 Entering Passive Mode (81,169,145,47,89,128)
MLSD
150 Opening ASCII mode data connection.
Type=cdir;Modify=20180222085846;Unique=04c800f1edc3bf91;Perm=cmpdfe; .
Type=file;Size=176;Modify=20150612101509;Unique=04c800f1ef89df94;Perm=adfrw; .htaccess_deaktiviert
Type=file;Size=46;Modify=20160216140843;Unique=04c800f1ef89df95;Perm=adfrw; .htuser
Type=dir;Modify=20170621075401;Unique=04c800f1e6336e21;Perm=cmpdfe; CMS_backup
Type=dir;Modify=20180208144053;Unique=04c800f1e6336e22;Perm=cmpdfe; ECCODUS
Type=dir;Modify=20170727093915;Unique=04c800f1edc3bf92;Perm=cmpdfe; ECCODUS_2017-07-27
Type=dir;Modify=20180217111912;Unique=04c800f1ef89df96;Perm=cmpdfe; ECCODeutschland
Type=dir;Modify=20130805155531;Unique=04c800f1ef10e879;Perm=cmpdfe; antwort
Type=dir;Modify=20140806085855;Unique=04c800f1eee80c6c;Perm=cmpdfe; beispiele
Type=dir;Modify=20180218120226;Unique=04c800f1eda2caaf;Perm=cmpdfe; bilder
Type=dir;Modify=20071109072846;Unique=04c800f1eb76de86;Perm=cmpdfe; cgi-bin
Type=dir;Modify=20100222163615;Unique=04c800f1eb76de87;Perm=cmpdfe; cgi-data
Type=dir;Modify=20160527131829;Unique=04c800f1ebcedf5c;Perm=cmpdfe; database
Type=dir;Modify=20180228160928;Unique=04c800f1ed75ba68;Perm=cmpdfe; enECCOduesseldorf
Type=dir;Modify=20150804075540;Unique=04c800f1ee766535;Perm=cmpdfe; facebook
Type=dir;Modify=20180217192634;Unique=04c800f1e4f6b976;Perm=cmpdfe; gaslicht
Type=dir;Modify=20180126203258;Unique=04c800f1e6336e23;Perm=cmpdfe; gaslicht_old
Type=dir;Modify=20171002081117;Unique=04c800f1ed92114c;Perm=cmpdfe; karten
Type=dir;Modify=20160209213209;Unique=04c800f1ebe599f6;Perm=cmpdfe; mediawiki_01
Type=dir;Modify=20150804084049;Unique=04c800f1ebe599f7;Perm=cmpdfe; prjournal
Type=file;Size=541;Modify=20150121184242;Unique=04c800f1ecea355e;Perm=adfrw; robots.txt
Type=dir;Modify=20180131194710;Unique=04c800f1eb0f1ebd;Perm=cmpdfe; test
Type=dir;Modify=20180305113231;Unique=04c800f1ee216e84;Perm=cmpdfe; test2
Type=dir;Modify=20180301142536;Unique=04c800f1eeca25b4;Perm=cmpdfe; test3
Type=dir;Modify=20170831094752;Unique=04c800f1ee216e85;Perm=cmpdfe; transfer
Type=dir;Modify=20180301191105;Unique=04c800f1e59c3ef1;Perm=cmpdfe; vor-ort-foto
Type=dir;Modify=20180225210900;Unique=04c800f1ee216e86;Perm=cmpdfe; vor-ort-foto-old
226 Transfer complete. Closing data connection.
CWD /bilder
250 Directory changed to /bilder
TYPE A
200 Using ASCII mode to transfer data.
PASV
227 Entering Passive Mode (81,169,145,47,157,50)
MLSD
150 Opening ASCII mode data connection.
Type=cdir;Modify=20180218120226;Unique=04c800f1eda2caaf;Perm=cmpdfe; .
Type=pdir;Modify=20180222085846;Unique=04c800f1edc3bf91;Perm=cmpdfe; ..
Type=file;Size=274011;Modify=20161003204405;Unique=04c800f1ec41b5d5;Perm=adfrw; 875 BV Termin_30.9_B. Schmitz#.jpg
Type=file;Size=3227635;Modify=20160909091607;Unique=04c800f1ec41b5d6;Perm=adfrw; Aktion_Anstrich.jpg
Type=file;Size=70570;Modify=20150715115100;Unique=04c800f1ec41b5d7;Perm=adfrw; Bildschirmfoto 2015-07-15 um 11.07.42.png
Type=file;Size=260363;Modify=20170530170935;Unique=04c800f1e78196cf;Perm=adfrw; Bildschirmfoto 2017-05-30 um 18.59.47.png
Type=file;Size=157143;Modify=20170530170600;Unique=04c800f1e78196ce;Perm=dfrw; Bildschirmfoto 2017-05-30 um 19.00.05.png
Type=file;Size=28788;Modify=20180218120228;Unique=04c800f1e575237f;Perm=adfrw; Bildschirmfoto1.png
Type=file;Size=132870;Modify=20180218120231;Unique=04c800f1e575237e;Perm=adfrw; Bildschirmfoto2.png
Type=file;Size=8492065;Modify=20150920102550;Unique=04c800f1ec41b5d8;Perm=dfrw; DOUBLETTENSUCHE.mov
Type=file;Size=3380062;Modify=20140806085911;Unique=04c800f1ec41b5d9;Perm=adfrw; ECCO-Studie_Grafiken.zip
Type=dir;Modify=20150911133642;Unique=04c800f1eda2cab0;Perm=cmpdfe; ERGOPrint
Type=file;Size=4385584;Modify=20160331085716;Unique=04c800f1ec60cd06;Perm=adfrw; Einbrecher3.mp4
Type=file;Size=13952;Modify=20161207135228;Unique=04c800f1ec60cd07;Perm=adfrw; Elektro_Icon.jpg
Type=file;Size=725856;Modify=20150730151303;Unique=04c800f1ec60cd08;Perm=adfrw; Ergebnisse Deutschland v3.pdf
Type=file;Size=808048;Modify=20120907090617;Unique=04c800f1ec60cd09;Perm=dfrw; FM8_Datenbank_konvertieren.pdf
Type=file;Size=86577;Modify=20151021092934;Unique=04c800f1ec60cd0a;Perm=adfrw; Farbwahl.png
Type=file;Size=2408042;Modify=20160613151803;Unique=04c800f1ec60cd0b;Perm=adfrw; FileSafe_Problem.mov
Type=file;Size=547328770;Modify=20170505140503;Unique=04c800f1e8cdc3e4;Perm=dfrw; Gaslaternen Film1.m4v
Type=file;Size=210522743;Modify=20170505144116;Unique=04c800f1e8cdc3e5;Perm=dfrw; Gaslicht2.m4v
Type=file;Size=3590;Modify=20161206103521;Unique=04c800f1ec60cd0c;Perm=adfrw; Gaslicht_Icon.jpg
Type=file;Size=10245;Modify=20130123123915;Unique=04c800f1ec60cd0d;Perm=adfrw; Geschichte.html
Type=file;Size=241218;Modify=20130123123612;Unique=04c800f1ebff448e;Perm=adfrw; Geschichte.swf
Type=file;Size=129546;Modify=20130131093708;Unique=04c800f1ebff448f;Perm=adfrw; Grafik_Misstrauen.eps
Type=file;Size=127008;Modify=20130131093723;Unique=04c800f1ebff4490;Perm=adfrw; Grafik_Vertrauen.eps
Type=file;Size=8821838;Modify=20150818153629;Unique=04c800f1ebff4491;Perm=adfrw; Grafiken_Journalistenumfrage_ECCO.zip
Type=file;Size=210557;Modify=20121104104330;Unique=04c800f1ebff4492;Perm=adfrw; IMG_1069.JPG
Type=file;Size=226282;Modify=20121104104332;Unique=04c800f1ebff4493;Perm=adfrw; IMG_1070.JPG
Type=file;Size=7099469;Modify=20161118093803;Unique=04c800f1ebff4494;Perm=adfrw; Meldung_Gasbeleuchtung_Unterrath.pdf
Type=file;Size=35111817;Modify=20170619084931;Unique=04c800f1e6509c28;Perm=adfrw; MyDriveNutzereinrichten.mov
Type=file;Size=3370410;Modify=20100504152610;Unique=04c800f1ebff4497;Perm=adfrw; MyDriveUpload.mov
Type=file;Size=13840237;Modify=20130605093108;Unique=04c800f1ebff4498;Perm=adfrw; Panorama Falkau 04-05-2013.png
Type=file;Size=42973;Modify=20111209125951;Unique=04c800f1ebff4499;Perm=adfrw; Papierformate anpassen.png
Type=file;Size=202227;Modify=20111209125409;Unique=04c800f1ebff449a;Perm=adfrw; Papierformate.png
Type=file;Size=103643;Modify=20110624211746;Unique=04c800f1ebff449b;Perm=adfrw; RagtimeLion.png
Type=file;Size=156596;Modify=20130218085551;Unique=04c800f1ed501fa4;Perm=adfrw; RetrospectScreen.png
Type=file;Size=45502;Modify=20141201091850;Unique=04c800f1ed501fa5;Perm=adfrw; Schaltplan_Heizung.jpg
Type=file;Size=2562970;Modify=20141211093435;Unique=04c800f1ed501fa6;Perm=adfrw; VideoSybel22a-2.mp4
Type=file;Size=4186316;Modify=20141210190730;Unique=04c800f1ed501fa7;Perm=adfrw; VideoSybel22a.mp4
Type=file;Size=130596;Modify=20121125150705;Unique=04c800f1ed501fa8;Perm=adfrw; WZ_investigativ.png
Type=dir;Modify=20170313125321;Unique=04c800f1eda2cab1;Perm=cmpdfe; beispiele
Type=file;Size=8706784;Modify=20170315131410;Unique=04c800f1ed4b01d8;Perm=adfrw; birkenstrasse.zip
Type=file;Size=7073;Modify=20170205163946;Unique=04c800f1ed501fa9;Perm=adfrw; camera.png
Type=file;Size=6865;Modify=20170205164518;Unique=04c800f1ed501faa;Perm=adfrw; camera_grey.png
Type=file;Size=6827;Modify=20170205165334;Unique=04c800f1ed501fab;Perm=adfrw; camera_red.png
Type=file;Size=489;Modify=20170202194128;Unique=04c800f1ed501fac;Perm=adfrw; camera_small.png
Type=dir;Modify=20170619084952;Unique=04c800f1eda2cab2;Perm=cmpdfe; dialight
Type=file;Size=419810;Modify=20120316103641;Unique=04c800f1ed501fad;Perm=adfrw; doc00241220120316112722_001.jpg
Type=file;Size=47678;Modify=20140507105322;Unique=04c800f1ed501fae;Perm=adfrw; ecco_prjournal.png
Type=file;Size=4612;Modify=20120117181144;Unique=04c800f1ed501faf;Perm=adfrw; ecco_small_l3.jpg
Type=file;Size=278145;Modify=20121009140114;Unique=04c800f1ec6dafae;Perm=adfrw; faelschung_1.jpg
Type=file;Size=309134;Modify=20121009140117;Unique=04c800f1ec6dafaf;Perm=adfrw; faelschung_2.jpg
Type=dir;Modify=20170315131457;Unique=04c800f1eda2cab3;Perm=cmpdfe; gaslicht
Type=dir;Modify=20170315131336;Unique=04c800f1eda2cab4;Perm=cmpdfe; gaslicht_presse
Type=file;Size=11931134;Modify=20150906092442;Unique=04c800f1ec6dafb0;Perm=dfrw; gaslichtspaziergang.zip
Type=file;Size=55368974;Modify=20170606124310;Unique=04c800f1e78196d0;Perm=dfrw; gaslight.wav
Type=dir;Modify=20111010144534;Unique=04c800f1ec8b8205;Perm=cmpdfe; gruppe
Type=file;Size=43531;Modify=20160219111352;Unique=04c800f1ec6dafb1;Perm=adfrw; kleur_colors.png
Type=file;Size=814407;Modify=20170516130319;Unique=04c800f1e97790d0;Perm=adfrw; konecranes_valtteri_bottas_high.jpg
Type=file;Size=21673;Modify=20111116150433;Unique=04c800f1ec6dafb2;Perm=dfrw; kopf_umfrage.jpg
Type=dir;Modify=20101209183410;Unique=04c800f1ec8b8206;Perm=cmpdfe; mediareport
Type=dir;Modify=20110202142433;Unique=04c800f1ec8b8207;Perm=cmpdfe; news0111
Type=dir;Modify=20150715115039;Unique=04c800f1ec8b8209;Perm=cmpdfe; news0112
Type=dir;Modify=20110419134736;Unique=04c800f1ec8b820a;Perm=cmpdfe; news0211
Type=dir;Modify=20120327082227;Unique=04c800f1ec8b820c;Perm=cmpdfe; news0212
Type=dir;Modify=20111026155848;Unique=04c800f1ec8b820d;Perm=cmpdfe; news0311
Type=dir;Modify=20120716141834;Unique=04c800f1ec8b820f;Perm=cmpdfe; news0312
Type=dir;Modify=20111206170944;Unique=04c800f1ec41b5cc;Perm=cmpdfe; news0411
Type=dir;Modify=20101005125831;Unique=04c800f1ec41b5cd;Perm=cmpdfe; news1010
Type=dir;Modify=20101112112232;Unique=04c800f1ec41b5cf;Perm=cmpdfe; news1110
Type=dir;Modify=20120131175713;Unique=04c800f1ec41b5d1;Perm=cmpdfe; newsbasics
Type=file;Size=8408165;Modify=20131008080942;Unique=04c800f1ec6dafb3;Perm=adfrw; raum.mov
Type=file;Size=280;Modify=20131014105839;Unique=04c800f1ec6dafb4;Perm=adfrw; robots.txt
Type=file;Size=169353;Modify=20120821084350;Unique=04c800f1ec6dafb5;Perm=adfrw; sek209512.jpg
Type=file;Size=41482;Modify=20131017123616;Unique=04c800f1ec6dafb6;Perm=adfrw; t-online_screen.png
Type=dir;Modify=20140507110212;Unique=04c800f1ec41b5d2;Perm=cmpdfe; umfrage
Type=file;Size=151730288;Modify=20170619133017;Unique=04c800f1e6336e1e;Perm=adfrw; vor-ort-foto-Auftrag_1.mov
Type=file;Size=48197469;Modify=20170619132822;Unique=04c800f1e6336e1f;Perm=adfrw; vor-ort-foto-Auftrag_2.mov
Type=file;Size=32413530;Modify=20170619132918;Unique=04c800f1e6336e20;Perm=adfrw; vor-ort-foto-Auftrag_3.mov
Type=file;Size=26799892;Modify=20140820130035;Unique=04c800f1ec6dafb7;Perm=adfrw; vor-ort-foto.mov
Type=dir;Modify=20111222093342;Unique=04c800f1ec41b5d3;Perm=cmpdfe; weihnacht
226 Transfer complete. Closing data connection.
MLST /bilder/Bildschirmfoto 2015-07-15 um 11.07.42.png
250-Listing /bilder/Bildschirmfoto 2015-07-15 um 11.07.42.png:
 Type=file;Size=70570;Modify=20150715115100;Unique=04c800f1ec41b5d7;Perm=adfrw; /bilder/Bildschirmfoto 2015-07-15 um 11.07.42.png
250 End.
SITE CHMOD 640 /bilder/Bildschirmfoto 2015-07-15 um 11.07.42.png
200 Permission mode changed.
MLST /bilder/Bildschirmfoto 2015-07-15 um 11.07.42.png
250-Listing /bilder/Bildschirmfoto 2015-07-15 um 11.07.42.png:
 Type=file;Size=70570;Modify=20150715115100;Unique=04c800f1ec41b5d7;Perm=adfrw; /bilder/Bildschirmfoto 2015-07-15 um 11.07.42.png
250 End.
SITE CHMOD 620 /bilder/Bildschirmfoto 2015-07-15 um 11.07.42.png
200 Permission mode changed.
MLST /bilder/Bildschirmfoto 2015-07-15 um 11.07.42.png
250-Listing /bilder/Bildschirmfoto 2015-07-15 um 11.07.42.png:
 Type=file;Size=70570;Modify=20150715115100;Unique=04c800f1ec41b5d7;Perm=adfrw; /bilder/Bildschirmfoto 2015-07-15 um 11.07.42.png
250 End.
SITE CHMOD 700 /bilder/Bildschirmfoto 2015-07-15 um 11.07.42.png
200 Permission mode changed.
MLST /bilder/Bildschirmfoto 2015-07-15 um 11.07.42.png
250-Listing /bilder/Bildschirmfoto 2015-07-15 um 11.07.42.png:
 Type=file;Size=70570;Modify=20150715115100;Unique=04c800f1ec41b5d7;Perm=adfrw; /bilder/Bildschirmfoto 2015-07-15 um 11.07.42.png
250 End.

Last edited on Mar 6, 2018 at 10:55:29 AM by dkocher (previous) (diff)

comment:3 Changed on Mar 7, 2018 at 8:52:44 AM by dkocher

  • Component changed from core to ftp
  • Owner set to dkocher
  • Summary changed from Problems setting preferences with Strato server to Applied permissions cannot be read when using MLSD

comment:4 Changed on May 28, 2018 at 12:15:34 PM by dkocher

  • Milestone set to 6.6.0
  • Status changed from new to assigned

This is in particular troubling when editing a file and the permission applied to the file after saving is wrong.

comment:5 Changed on May 28, 2018 at 12:37:39 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r44366.

Note: See TracTickets for help on using tickets.
swiss made software